Subject: bug#41862: [External] : Re: bug#41862: 27.0.91; Isearch menu added to menu-bar

From: Drew Adams <[email-masked]>
Date: Sun, 13 Jun 2021 14:53:10 +0000

> > Starting with Emacs 27, `isearch-mode-map'
> > includes`isearch-menu-bar-map', which adds menu
> > `Isearch' to the menu-bar.
> 
> Many modes add stuff to the menu bar -- there's nothing
> special about isearch here.
> 
> > This should at least be optional, via user option
> > (not requiring a user to fiddle with keymaps).
> 
> I don't see why -- the general mechanism we have for
> this works across any mode, so that's more convenient
> than adding some random user options for a mode here
> and there:
> 
> (define-key isearch-mode-map [menu-bar] nil)
> 
> So I'm closing this bug report.

Just to make sure: Did you read my reply to Juri here?
Like you, I said that there's nothing special about
isearch here.

The point is _not_ to remove/prevent the Isearch menu.

And the point is especially not for any given user
to have to do that, and especially not by fiddling
with keymaps.

The point is for Emacs to find a good solution.  I
mentioned the Dired solution, which has long existed,
and which I'm guessing could make sense for Isearch:
When the Isearch menu is shown, consider temporary
removal of another menu (or two) a menu that's not
so useful during Isearch.

That lets you use the Isearch menu without the
annoyance.  And yes, whether to do such removal
(and which menu(s) to remove temporarily) could be
user-configurable with an option.